Get portfolio positions
curl --request GET \
--url https://api.example.com/api/positions/aggregatedimport requests
url = "https://api.example.com/api/positions/aggregated"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/positions/aggregated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/positions/aggregated",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/positions/aggregated"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/positions/aggregated")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/positions/aggregated")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"addresses": [
"0x1111...aaaa"
],
"balances": {
"base": {
"addresses": {},
"balance": 0,
"symbol": "USDC"
},
"bsc": {
"addresses": {},
"balance": 200,
"symbol": "USDT"
},
"polygon": {
"addresses": {},
"balance": 100.5,
"symbol": "USDC"
},
"total": 300.5
},
"positions": [],
"summary": {
"active_positions": 13,
"by_chain": {
"base": 40,
"bsc": 367.29,
"polygon": 841.12
},
"by_platform": {
"limitless": 40,
"opinion": 312.44,
"polymarket": 801.12,
"predictfun": 0,
"probable": 94.85
},
"claimable_value": 57.22,
"total_positions": 18,
"total_value": 1248.41
},
"wallets": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}positions
Get portfolio positions
Returns open positions for one or more wallets in a single portfolio view.
Includes position list, aggregated totals, and related wallet addresses for supported platforms.
Use connected EOA wallet addresses in addresses (comma-separated).
GET
/
api
/
positions
/
aggregated
Get portfolio positions
curl --request GET \
--url https://api.example.com/api/positions/aggregatedimport requests
url = "https://api.example.com/api/positions/aggregated"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/positions/aggregated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/positions/aggregated",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/positions/aggregated"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/positions/aggregated")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/positions/aggregated")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"addresses": [
"0x1111...aaaa"
],
"balances": {
"base": {
"addresses": {},
"balance": 0,
"symbol": "USDC"
},
"bsc": {
"addresses": {},
"balance": 200,
"symbol": "USDT"
},
"polygon": {
"addresses": {},
"balance": 100.5,
"symbol": "USDC"
},
"total": 300.5
},
"positions": [],
"summary": {
"active_positions": 13,
"by_chain": {
"base": 40,
"bsc": 367.29,
"polygon": 841.12
},
"by_platform": {
"limitless": 40,
"opinion": 312.44,
"polymarket": 801.12,
"predictfun": 0,
"probable": 94.85
},
"claimable_value": 57.22,
"total_positions": 18,
"total_value": 1248.41
},
"wallets": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Comma-separated wallet addresses to include in portfolio view.
Response
Successful Response
Aggregated summary
Show child attributes
Show child attributes
Example:
{
"active_positions": 13,
"by_chain": {
"base": 40,
"bsc": 367.29,
"polygon": 841.12
},
"by_platform": {
"limitless": 40,
"opinion": 312.44,
"polymarket": 801.12,
"predictfun": 0,
"probable": 94.85
},
"claimable_value": 57.22,
"total_positions": 18,
"total_value": 1248.41
}
Stablecoin balances for all queried wallets
Show child attributes
Show child attributes
Position list
Show child attributes
Show child attributes
Queried EOA addresses
Safe wallets per EOA
Show child attributes
Show child attributes
